Bug 1031703 - Remove pt_chown man page
Remove pt_chown man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031706
  Show dependency treegraph
 
Reported: 2013-11-18 10:10 EST by Arjun Shankar
Modified: 2013-12-13 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version: man-pages-3.53-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031706 (view as bug list)
Environment:
Last Closed: 2013-12-13 22:43:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjun Shankar 2013-11-18 10:10:51 EST
Description of problem:

Because of a security flaw, building 'pt_chown' is disabled by default when building glibc [1]. It is now no more shipped with glibc-common [2]. I guess this means that the man page must go as well.

Version-Release number of selected component (if applicable):
man-pages-3.53-1.fc20.noarch

How reproducible:

Always

Steps to Reproduce:
rpm -ql man-pages | grep pt_chown

Actual results:
/usr/share/man/man5/pt_chown.5.gz

Expected results:
--

Additional info:

[1] https://sourceware.org/ml/libc-alpha/2013-07/msg00359.html
[2] https://bugzilla.redhat.com/show_bug.cgi?id=984829
Comment 1 Peter Schiffer 2013-12-04 06:23:03 EST
fixed in rawhide:
man-pages-3.54-2.fc21
http://koji.fedoraproject.org/koji/buildinfo?buildID=482648
Comment 2 Fedora Update System 2013-12-04 07:00:56 EST
man-pages-3.53-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/man-pages-3.53-2.fc20
Comment 3 Fedora Update System 2013-12-04 19:37:05 EST
Package man-pages-3.53-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-pages-3.53-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22703/man-pages-3.53-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-13 22:43:07 EST
man-pages-3.53-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.